Bug 1117704 - SHM refclock doesn't support nanosecond resolution
Summary: SHM refclock doesn't support nanosecond resolution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ntp
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact: Jakub Prokes
URL:
Whiteboard:
Depends On: 1117702
Blocks: 1159824 1159926 1085584 1095797
TreeView+ depends on / blocked
 
Reported: 2014-07-09 08:43 UTC by Miroslav Lichvar
Modified: 2015-07-22 06:59 UTC (History)
5 users (show)

Fixed In Version: ntp-4.2.6p5-3.el6
Doc Type: Enhancement
Doc Text:
Support for nanosecond resolution has been added to the SHM reference clock. Prior to this update, when a Precision Time Protocol (PTP) hardware clock was used as a time source to synchronize the system clock (for example, with the timemaster service from the linuxptp package), the accuracy of the synchronization was limited due to the microsecond resolution of the SHM protocol. The nanosecond extension in the SHM protocol now enables sub-microsecond synchronization of the system clock.
Clone Of: 1117702
Environment:
Last Closed: 2015-07-22 06:59:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1459 normal SHIPPED_LIVE Moderate: ntp security, bug fix, and enhancement update 2015-07-21 14:15:04 UTC
Network Time Protocol 1232 None None None Never

Description Miroslav Lichvar 2014-07-09 08:43:21 UTC
Description of problem:
The SHM refclock in ntpd is limited to microsecond resolution. In 4.2.7 development a nanosecond extension was added to the protocol. This can be useful to improve accuracy of the synchronization with PTP clocks and phc2sys from linuxptp.

https://bugs.ntp.org/show_bug.cgi?id=1232

Version-Release number of selected component (if applicable):
4.2.6p5-1

Comment 4 errata-xmlrpc 2015-07-22 06:59:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1459.html


Note You need to log in before you can comment on or make changes to this bug.